> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_range.md).

# 53.43. pg\_range

## 53.43. pg\_range

The catalog `pg_range` stores information about range types. This is in addition to the types' entries in [`pg_type`](/15/internals/system-catalogs/pg_type.md).

**Table 53.43. `pg_range` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                                                           |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>rngtypid</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_type.md"><code>pg\_type</code></a>.<code>oid</code>)</p><p>OID of the range type</p>                                                                                                           |
| <p><code>rngsubtype</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_type.md"><code>pg\_type</code></a>.<code>oid</code>)</p><p>OID of the element type (subtype) of this range type</p>                                                                          |
| <p><code>rngmultitypid</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_type.md"><code>pg\_type</code></a>.<code>oid</code>)</p><p>OID of the multirange type for this range type</p>                                                                             |
| <p><code>rngcollation</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_collation.md"><code>pg\_collation</code></a>.<code>oid</code>)</p><p>OID of the collation used for range comparisons, or zero if none</p>                                                  |
| <p><code>rngsubopc</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_opclass.md"><code>pg\_opclass</code></a>.<code>oid</code>)</p><p>OID of the subtype's operator class used for range comparisons</p>                                                           |
| <p><code>rngcanonical</code> <code>regproc</code> (references <a href="/15/internals/system-catalogs/pg_proc.md"><code>pg\_proc</code></a>.<code>oid</code>)</p><p>OID of the function to convert a range value into canonical form, or zero if none</p>                                       |
| <p><code>rngsubdiff</code> <code>regproc</code> (references <a href="/15/internals/system-catalogs/pg_proc.md"><code>pg\_proc</code></a>.<code>oid</code>)</p><p>OID of the function to return the difference between two element values as <code>double precision</code>, or zero if none</p> |

`rngsubopc` (plus `rngcollation`, if the element type is collatable) determines the sort ordering used by the range type. `rngcanonical` is used when the element type is discrete. `rngsubdiff` is optional but should be supplied to improve performance of GiST indexes on the range type.

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_range.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_range.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
